# PSA_AES Demo Example Code

## Project Name: PSA_AES_Demo

---

## Function description

This project demonstrates the usage of PSA Crypto API for AES encryption:
- **PSA AES**: 
  - Performs AES-128 ECB encryption using PSA Crypto API
  - Demonstrates big number multiplication using mbedTLS
  - Shows key management, encryption operations, and results display

---

## HW requirement
+ **EVB**: YTM32B1ME0-EVB-Q144
+ **Debugger**: J-LINK v9.2 or later with YUNTU YTM32B1ME0 patch(support package) installed
+ **Connect**: J32 connector for UART output (baud rate: 115200)

---

## SW requirement

+ **Config & Code Generation Tool**
  + **SDK**: Yuntu Config Tool(YCT) v2.7.0 or later version
+ **Compiler Toolchain**
  + **GCC**: GNU GCC v10.3 or later version
  + **Keil/MDK**: ARM Keil/MDK v5.36 or later version
  + **IAR**: IAR v8.4 or later version
  + **VS Code**: Microsoft Visual Studio Code IDE v1.76 or later version
+ **Debugger driver**
  + **J-LINK**: SEGGER JLINK v6.96 or later version
  + **Ozone**: SEGGER Ozone v3.28 or later version

***Note***: YTM32B1ME0 patch installation required, available via YCT or YUNTU support.

---

## Setup

1. Open the project with your preferred IDE
2. Build and compile the project
3. Connect the EVB and debugger
4. Download and run the program
5. Monitor the UART output to see the encryption results

---

## Expected Output

The program will display:
1. AES encryption test results:
   - Input key
   - Original plaintext
   - Generated ciphertext
2. Big number multiplication test results:
   - Two large numbers and their product

The test succeeds if both operations complete without errors.

---
