{{ytCopyright 'mbedtls_config_yuntu.h'}}



#ifndef MBEDTLS_CONFIG_YUNTU_H
#define MBEDTLS_CONFIG_YUNTU_H



#define MBEDTLS_PLATFORM_C 
#define MBEDTLS_PLATFORM_MEMORY
#define MBEDTLS_PLATFORM_NO_STD_FUNCTIONS 
// Memory configuration
{{#if this.data.memory.useStaticMemory}}
#define MBEDTLS_MEMORY_BUFFER_ALLOC_C 
#define CRYPTO_ENGINE_BUF_SIZE {{this.data.memory.staticMemorySize}}
{{else}}
#include <stddef.h>
extern void *{{this.data.memory.calloc}}(size_t n, size_t size);
extern void {{this.data.memory.free}}(void *ptr);
#define MBEDTLS_PLATFORM_CALLOC_MACRO {{this.data.memory.calloc}}
#define MBEDTLS_PLATFORM_FREE_MACRO {{this.data.memory.free}}
{{/if}}

// Normal 
#define MBEDTLS_BIGNUM_C


// Symmetric encryption configuration
{{#each this.data.encryption}}
{{#if this}}
#define {{@key}}
{{/if}}
{{/each}}

// Custom defines
{{{this.data.customDefine}}}


// PSA
{{#if this.data.psa.enabled}}
#define MBEDTLS_USE_PSA_CRYPTO 
#define MBEDTLS_PSA_CRYPTO_CLIENT

// Enable external RNG for PSA
#define MBEDTLS_PSA_CRYPTO_EXTERNAL_RNG

// PSA API Configuration
{{#each this.data.psa.api}}
{{#if this}}
#define {{@key}}
{{/if}}
{{/each}}

// PSA Key Type Support
{{#each this.data.psa.key}}
{{#if this}}
#define {{@key}}_SUPPORT
{{/if}}
{{/each}}

{{/if}}

extern void mbedtls_config_init();

#endif